class GetAdmissionRequestInfoResponseModel {
  int? admissionRequestNo;
  String? clinicName;
  String? doctorName;
  String? expectedAdmissionDate;
  List<MedicaLInstructions> ?medicalInstructions;
  dynamic medicalInstructionsXML;
  String? medicalRemarks;
  int? projectId;
  String? projectName;
  String? setupId;
  int? clinicId;
  int? doctorId;

  GetAdmissionRequestInfoResponseModel(
      {this.admissionRequestNo,
      this.clinicName,
      this.doctorName,
      this.expectedAdmissionDate,
      this.medicalInstructions,
      this.medicalInstructionsXML,
      this.medicalRemarks,
      this.projectId,
      this.projectName,
      this.setupId,
      this.clinicId,
      this.doctorId});

  GetAdmissionRequestInfoResponseModel.fromJson(Map<String, dynamic> json) {
    admissionRequestNo = json['admissionRequestNo'];
    clinicName = json['clinicName'];
    doctorName = json['doctorName'];
    clinicId = json['ClinicID'];
    doctorId = json['DoctorID'];
    expectedAdmissionDate = json['expectedAdmissionDate'];
    if (json['medicaLInstructions'] != null) {
      medicalInstructions = <MedicaLInstructions>[];
      json['medicaLInstructions'].forEach((v) {
        medicalInstructions!.add(new MedicaLInstructions.fromJson(v));
      });
    }
    medicalInstructionsXML = json['medicalInstructionsXML'];
    medicalRemarks = json['medicalRemarks'];
    projectId = json['projectId'];
    projectName = json['projectName'];
    setupId = json['setupId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['admissionRequestNo'] = this.admissionRequestNo;
    data['clinicName'] = this.clinicName;
    data['doctorName'] = this.doctorName;
    data['clinicId'] = this.clinicId;
    data['doctorId'] = this.doctorId;
    data['expectedAdmissionDate'] = this.expectedAdmissionDate;
    if (this.medicalInstructions != null) {
      data['medicaLInstructions'] = this.medicalInstructions!.map((v) => v.toJson()).toList();
    }
    data['medicalInstructionsXML'] = this.medicalInstructionsXML;
    data['medicalRemarks'] = this.medicalRemarks;
    data['projectId'] = this.projectId;
    data['projectName'] = this.projectName;
    data['setupId'] = this.setupId;
    return data;
  }
}

class MedicaLInstructions {
  String? description;
  int? parameterCode;

  MedicaLInstructions({this.description, this.parameterCode});

  MedicaLInstructions.fromJson(Map<String, dynamic> json) {
    description = json['description'];
    parameterCode = json['parameterCode'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['description'] = this.description;
    data['parameterCode'] = this.parameterCode;
    return data;
  }
}
